@charset "utf-8";

.picker_modal header {
	min-height: initial;
}

.picker_modal .bar {
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	color: #FEFEFE;
	height: 2.75rem;
	left: 0;
	position: relative;
	right: 0;
	top: 0;
	z-index: 10;
}

.modal_overlay,
.preloader_indicator_overlay {
	-webkit-transition-duration: .4s;
	background: rgba(0, 0, 0, .6);
	height: 100%;
	left: 0;
	opacity: 0;
	position: fixed;
	top: 0;
	transition-duration: .4s;
	visibility: hidden;
	width: 100%;
	z-index: 10600;
}

.modal_overlay-visible {
	opacity: 1;
	visibility: visible;
}

.popup_overlay {
	z-index: 9800;
}

.modal {
	-webkit-transform: translate3d(0, 0, 0) scale(1.185);
	-webkit-transition-property: 0;
	border-radius: .25rem;
	background: var(--bg_main);
	color: var(--font_deep);
	left: 50%;
	margin-top: 0;
	opacity: 0;
	position: fixed;
	text-align: center;
	top: 50%;
	transform: translate3d(-50%, 0, 0) scale(1.185);
	transition-property: transform, opacity;
	z-index: 11000;
	max-width: 22.5rem;
	box-shadow: 0 0.25rem 0.5rem 0 rgba(7, 17, 27, 0.1);
}

.modal .modal_in {
	-webkit-transform: translate3d(0, 0, 0) scale(1);
	opacity: 1;
	transform: translate3d(0, 0, 0) scale(1);
}

.modal .modal_out {
	-webkit-transform: translate3d(0, 0, 0) scale(.815);
	opacity: 0;
	transform: translate3d(0, 0, 0) scale(.815);
	z-index: 10999;
}

.modal_inner {
	border-radius: .25rem .25rem 0 0;
	position: relative;
}

.modal_inner::before,
.modal_inner::after
{
	content: "";
	display: block;
	float: none;
	clear: both;
}

.modal_title {
	font-size: 0.875rem;
	font-weight: 500;
	padding: .5rem .75rem;
	text-align: left;
	border-bottom: 1px solid rgba(125,125,125,0.25);
}

.modal_buttons {
	-webkit-box-pack: center;
	display: flex;
	height: 2.2rem;
	justify-content: center;
	overflow: hidden;
	border-top: 1px solid var(--border_base);
}

.modal_buttons.modal_buttons-vertical {
	display: block;
	height: auto;
}

.modal_button {
	-ms-flex: 1;
	-webkit-box-flex: 1;
	background-color: var(--bg_main);
	border-right: 1px solid var(--border_base);
	box-sizing: border-box;
	color: #353535;
	cursor: pointer;
	display: block;
	font-size: .85rem;
	height: 2.2rem;
	line-height: 2.2rem;
	overflow: hidden;
	padding: 0 .25rem;
	position: relative;
	text-align: center;
	text-overflow: ellipsis;
	white-space: nowrap;
	width: 100%;
}
.modal_button:last-child {
	border-right: none;
}

.modal_button::after {
	-webkit-transform-origin: 100% 50%;
	color: var(--font_white);
	bottom: auto;
	content: '';
	display: block;
	height: 100%;
	left: auto;
	position: absolute;
	right: 0;
	top: 0;
	transform-origin: 100% 50%;
	z-index: 15;
}

.modal_button:first-child {
	border-radius: 0 0 0 .25rem;
}

.modal_button:last-child {
	border-radius: 0 0 .25rem 0;
}

.modal_button.active_state,
html:not(.watch.active_state) .modal_button:active {
	background: #d4d4d4;
}

.modal_buttons-vertical .modal_button {
	border-radius: 0;
}

.modal_no_buttons .modal_inner {
	border-radius: .25rem;
}

.actions_modal {
	-webkit-transform: translate3d(0, 100%, 0);
	bottom: 0;
	left: 0;
	position: fixed;
	transform: translate3d(0, 100%, 0);
	width: 100%;
	z-index: 11000;
}

.actions_modal.modal_in,
.actions_modal.modal_out {
	-webkit-transition-duration: .3s;
	transition-duration: .3s;
}

.actions_modal.modal_out {
	-webkit-transform: translate3d(0, 100%, 0);
	transform: translate3d(0, 100%, 0);
	z-index: 10999;
}

.actions_modal_group {
	margin: .4rem;
}

.actions.modal_button,
.actions_modal_label {
	background-color: var(--bg_main);
	box-sizing: border-box;
	display: block;
	font-weight: 400;
	margin: 0;
	position: relative;
	text-align: center;
	width: 100%;
}

.actions.modal_button::after,
.actions_modal_label::after {
	-webkit-transform-origin: 50% 100%;
	color: #d2d2d6;
	bottom: 0;
	content: '';
	display: block;
	height: 1px;
	left: 0;
	position: absolute;
	right: auto;
	top: auto;
	transform-origin: 50% 100%;
	width: 100%;
	z-index: 15;
}

.actions.modal_button a,
.actions_modal_label a {
	color: inherit;
	text-decoration: none;
}

.actions.modal_button.actions.modal_button-danger,
.actions.modal_button.color-danger,
.actions_modal_label.actions.modal_button-danger,
.actions_modal_label.color-danger {
	color: #f6383a;
}

.actions.modal_button.bg-danger,
.actions_modal_label.bg-danger {
	background: #f6383a;
	color: var(--font_white);
}

.actions.modal_button.bg-danger:active,
.actions_modal_label.bg-danger:active {
	background: #f00b0d;
}

.actions.modal_button:first-child,
.actions_modal_label:first-child {
	border-radius: .25rem .25rem 0 0;
}

.actions.modal_button:last-child,
.actions_modal_label:last-child {
	border-radius: 0 0 .25rem .25rem;
}

.actions.modal_button:first-child:last-child,
.actions_modal_label:first-child:last-child {
	border-radius: .25rem;
}

.actions.modal_button.disabled,
.actions_modal_label.disabled {
	color: #8e8e93;
	opacity: .95;
}

.actions.modal_button {
	color: var(--font_deep);
	cursor: pointer;
	font-size: 1rem;
	line-height: 2.15rem;
}

.actions.modal_button.active_state,
.actions.modal_button:active {
	background: #dcdcdc;
}

.actions_modal_label {
	-webkit-box-align: center;
	-webkit-box-pack: center;
	align-items: center;
	color: var(--font_base_b);
	display: flex;
	font-size: 1rem;
	justify-content: center;
	line-height: 1.3;
	min-height: 2.2rem;
	padding: .4rem .5rem;
}

input.modal_text_input {
	-moz-appearance: none;
	-webkit-appearance: none;
	appearance: none;
	background-color: var(--bg_main);
	border: 1px solid var(--border_base);
	border-radius: .25rem;
	box-shadow: 0 0 0 transparent;
	box-sizing: border-box;
	display: block;
	font-family: inherit;
	font-size: .7rem;
	height: 1.5rem;
	margin: .75rem;
	padding: 0 .25rem;
	width: calc(100% - 1.5rem);
}

input.modal_text_input.modal_text_input-double {
	border-radius: .25rem .25rem 0 0;
}

input.modal_text_input.modal_text_input-double+input.modal_text_input {
	border-radius: 0 0 .25rem .25rem;
	border-top: 0;
	margin-top: 0;
}

.login_screen,
.popup {
	-webkit-overflow-scrolling: touch;
	-webkit-transform: translate3d(0, 100%, 0);
	-webkit-transition-property: 0;
	background-color: var(--bg_main);
	box-sizing: border-box;
	display: none;
	height: 100%;
	left: 0;
	overflow: auto;
	position: absolute;
	top: 0;
	transform: translate3d(0, 100%, 0);
	transition-property: transform;
	width: 100%;
	z-index: 10400;
}

.login_screen.modal_in,
.login_screen.modal_out {
	display: block;
}

html.with_statusbar_overlay .popup_overlay {
	z-index: 9800;
}

.modal .preloader {
	height: 1.7rem;
	width: 1.7rem;
	margin: auto;
	background: ;
}

.preloader_indicator_overlay {
	background: 0 0;
	opacity: 0;
	visibility: visible;
}

.preloader_indicator_modal {
	background: rgba(17, 17, 17, 0.7);
	border-radius: .25rem;
	color: var(--font_white);
	left: 50%;
	margin-left: -1.25rem;
	margin-top: -1.25rem;
	padding: .4rem;
	position: absolute;
	top: 50%;
	z-index: 11000;
}

.preloader_indicator_modal .preloader {
	display: block;
	height: 1.7rem;
	width: 1.7rem;
}

.pull_right {
	float: right;
}

.modal_buttons-vertical .modal_button::after {
	-webkit-transform-origin: 50% 100%;
	color: var(--font_white);
	bottom: 0;
	content: '';
	display: block;
	height: 1px;
	left: 0;
	position: absolute;
	right: auto;
	top: auto;
	transform-origin: 50% 100%;
	width: 100%;
	z-index: 15;
}

.login_screen.modal_out,
.popup.modal_out,
.picker_modal.modal_out {
	-webkit-transform: translate3d(0, 100%, 0);
	transform: translate3d(0, 100%, 0);
}

html.with_statusbar_overlay .popup,
html.with_statusbar_overlay .login_screen,
html.with_statusbar_overlay .popup.tablet_fullscreen {
	height: calc(100%-1rem);
	top: 1rem;
}

.modal.modal_in {
	width: calc(100% - 4rem);
	-webkit-transform: translate3d(-50%, -50%, 0) scale(1);
	opacity: 1;
	transform: translate3d(-50%, -50%, 0) scale(1);
	z-index: 11001;
}

.modal.modal_out {
	width: calc(100% - 4rem);
	-webkit-transform: translate3d(-50%, 0, 0) scale(.815);
	opacity: 0;
	transform: translate3d(-50%, 0, 0) scale(.815);
	z-index: 10999;
}


.modal_button:first-child:last-child {
	border-radius: 0 0 .25rem .25rem;
}

.modal_button.modal_button-bold {
	color: var(--font_success);
	font-weight: 500;
}

.modal_buttons-vertical .modal_button::after {
	-webkit-transform-origin: 50% 100%;
	color: #b5b5b5;
	bottom: 0;
	content: '';
	display: block;
	height: 1px;
	left: 0;
	position: absolute;
	right: auto;
	top: auto;
	transform-origin: 50% 100%;
	width: 100%;
	z-index: 15;
}

.pull_left {
	float: left;
}

.modal.modal_in,
.modal.modal_out,
.login_screen.modal_in,
.login_screen.modal_out,
.popup.modal_in,
.popup.modal_out,
.picker_modal.modal_in,
.picker_modal.modal_out,
.modal.modal_in,
.modal.modal_out {
	-webkit-transition-duration: .4s;
	transition-duration: .4s;
}

.modal_text {
	padding: 0.75rem;
	line-height: 1.5;
}

.modal_title+.modal_text,
input.modal_text_input+input.modal_text_input,
.modal_title+.modal_text,
input.modal_text_input+input.modal_text_input {
	color: var(--font_base);
}

.modal_button:last-child::after,
.modal_buttons-vertical .modal_button::after,
.modal_buttons-vertical .modal_button::before,
.modal_buttons-vertical .modal_button:last-child::after,
.modal_no_buttons .modal_buttons,
.modal_no_buttons .modal_inner::after,
.actions.modal_button:last-child::after,
.actions_modal_label:last-child::after,
.picker_modal.picker.modal_inline .toolbar::before,
.picker_calendar_row:last-child::after,
.modal_button:last-child::after,
.modal_buttons-vertical .modal_button::after,
.modal_buttons-vertical .modal_button::before,
.modal_buttons-vertical .modal_button:last-child::after,
.modal_no_buttons .modal_buttons,
.modal_no_buttons .modal_inner::after,
.actions.modal_button:last-child::after,
.actions_modal_label:last-child::after {
	display: none;
}

.modal_button:first-child:last-child,
.modal_buttons-vertical .modal_button:last-child,
.modal_buttons-vertical .modal_button:last-child {
	border-radius: 0 0 .25rem .25rem;
}

.modal_button.modal_button-bold,
.actions.modal_button b,
.actions.modal_button.actions.modal_button-bold,
.actions_modal_label b,
.actions_modal_label.actions.modal_button-bold,
.actions.modal_button b,
.actions.modal_button.actions.modal_button-bold,
.actions_modal_label b,
.actions_modal_label.actions.modal_button-bold {
	font-weight: 500;
}

.actions_modal.modal_in,
.login_screen.modal_in,
.popup.modal_in,
.picker_modal.modal_in,
.actions_modal.modal_in {
	-webkit-transform: translate3d(0, 0, 0);
	transform: translate3d(0, 0, 0);
}

@media only screen and -webkit-min-device-pixel-ratio2 {
	.modal_button::after,
	.modal_buttons-vertical .modal_button::after,
	.actions.modal_button::after,
	.actions_modal_label::after,
	.picker_modal .toolbar::before,
	.picker_modal.picker.modal_inline .toolbar::after,
	.picker_calendar_week_days::after,
	.picker_calendar_row::after,
	.picker_center_highlight::before,
	.picker_center_highlight::after,
	.picker_modal .bar::before,
	.picker_modal .bar::after {
		-webkit-transform: scaleY(.5);
		transform: scaleY(.5);
	}
}

@media only screen and -webkit-min-device-pixel-ratio3 {
	.modal_button::after,
	.modal_buttons-vertical .modal_button::after,
	.actions.modal_button::after,
	.actions_modal_label::after,
	.picker_modal .toolbar::before,
	.picker_modal.picker.modal_inline .toolbar::after,
	.picker_calendar_week_days::after,
	.picker_calendar_row::after,
	.picker_center_highlight::before,
	.picker_center_highlight::after,
	.picker_modal .bar::before,
	.picker_modal .bar::after {
		-webkit-transform: scaleY(.33);
		transform: scaleY(.33);
	}
}

@media max-height629px,
all and max-width629px {
	html.with_statusbar_overlay .popup {
		height: calc(100%-1rem);
		top: 1rem;
	}

	html.with_statusbar_overlay .popup_overlay {
		z-index: 9800;
	}
}

@media orientationlandscape and max-height415px {
	.picker_calendar:not(.picker.modal_inline) {
		height: 220px;
	}

	.picker_columns:not(.picker.modal_inline) {
		height: 10rem;
	}
}

@media only screen and -webkit-min-device-pixel-ratio2 {
	.modal_button::after,
	.modal_buttons-vertical .modal_button::after,
	.actions.modal_button::after,
	.actions_modal_label::after {
		-webkit-transform: scaleY(.5);
		transform: scaleY(.5);
	}
}

@media only screen and -webkit-min-device-pixel-ratio3 {
	.modal_button::after,
	.modal_buttons-vertical .modal_button::after,
	.actions.modal_button::after,
	.actions_modal_label::after {
		-webkit-transform: scaleY(.33);
		transform: scaleY(.33);
	}
}

.toast {
	top: 40%;
	padding: 0.75rem 1.5rem;
	min-width: 5rem;
	background: rgba(66, 66, 66, 0.95);
	color: var(--font_white);
	width: auto !important;
}

.modal_loading {
	background: rgba(66, 66, 66, 0.95);
	color: var(--font_white);
	width: auto !important;
	padding: 0.75rem;
}